/*
Front gateway

Front gateway

API version: 0.0.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package openapi

import (
	"encoding/json"
)

// UserConfirmationIsExpired struct for UserConfirmationIsExpired
type UserConfirmationIsExpired struct {
	Kind *string `json:"kind,omitempty"`
}

// NewUserConfirmationIsExpired instantiates a new UserConfirmationIsExpired object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewUserConfirmationIsExpired() *UserConfirmationIsExpired {
	this := UserConfirmationIsExpired{}
	var kind string = "userConfirmationIsExpired"
	this.Kind = &kind
	return &this
}

// NewUserConfirmationIsExpiredWithDefaults instantiates a new UserConfirmationIsExpired object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewUserConfirmationIsExpiredWithDefaults() *UserConfirmationIsExpired {
	this := UserConfirmationIsExpired{}
	var kind string = "userConfirmationIsExpired"
	this.Kind = &kind
	return &this
}

// GetKind returns the Kind field value if set, zero value otherwise.
func (o *UserConfirmationIsExpired) GetKind() string {
	if o == nil || o.Kind == nil {
		var ret string
		return ret
	}
	return *o.Kind
}

// GetKindOk returns a tuple with the Kind field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *UserConfirmationIsExpired) GetKindOk() (*string, bool) {
	if o == nil || o.Kind == nil {
		return nil, false
	}
	return o.Kind, true
}

// HasKind returns a boolean if a field has been set.
func (o *UserConfirmationIsExpired) HasKind() bool {
	if o != nil && o.Kind != nil {
		return true
	}

	return false
}

// SetKind gets a reference to the given string and assigns it to the Kind field.
func (o *UserConfirmationIsExpired) SetKind(v string) {
	o.Kind = &v
}

func (o UserConfirmationIsExpired) MarshalJSON() ([]byte, error) {
	toSerialize := map[string]interface{}{}
	if o.Kind != nil {
		toSerialize["kind"] = o.Kind
	}
	return json.Marshal(toSerialize)
}

type NullableUserConfirmationIsExpired struct {
	value *UserConfirmationIsExpired
	isSet bool
}

func (v NullableUserConfirmationIsExpired) Get() *UserConfirmationIsExpired {
	return v.value
}

func (v *NullableUserConfirmationIsExpired) Set(val *UserConfirmationIsExpired) {
	v.value = val
	v.isSet = true
}

func (v NullableUserConfirmationIsExpired) IsSet() bool {
	return v.isSet
}

func (v *NullableUserConfirmationIsExpired) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableUserConfirmationIsExpired(val *UserConfirmationIsExpired) *NullableUserConfirmationIsExpired {
	return &NullableUserConfirmationIsExpired{value: val, isSet: true}
}

func (v NullableUserConfirmationIsExpired) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableUserConfirmationIsExpired) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


